// WQuickDoc.cpp : Implementierung der Klasse CWQuickDoc
//

#include "stdafx.h"
#include "WQuick.h"

#include "WQuickDoc.h"
#include "OutputC.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWQuickDoc

IMPLEMENT_DYNCREATE(CWQuickDoc, CDocument)

BEGIN_MESSAGE_MAP(CWQuickDoc, CDocument)
	//{{AFX_MSG_MAP(CWQuickDoc)
		// HINWEIS - Hier werden Mapping-Makros vom Klassen-Assistenten eingefgt und entfernt.
		//    Innerhalb dieser generierten Quelltextabschnitte NICHTS VERNDERN!
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWQuickDoc Konstruktion/Destruktion

CWQuickDoc::CWQuickDoc()
{
	// ZU ERLEDIGEN: Hier Code fr One-Time-Konstruktion einfgen
//	MessageBox(NULL,"CWQuickDoc()","CWQuickDoc()",MB_OK);
	m_Countdown=0;
	output=NULL;
}

CWQuickDoc::~CWQuickDoc()
{
//	MessageBox(NULL,"~CWQuickDoc()","~CWQuickDoc()",MB_OK);
}

BOOL CWQuickDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	GetEnvironmentVariable("TEMP",m_TempFile,100);
	strcat(m_TempFile,"\\wquick.htm");
	
	if (output==NULL) output=new OutputC(&m_KHTMLView);

	m_LastSearch="";
    m_Countdown=0;
	Search("");
	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CWQuickDoc Serialisierung

void CWQuickDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// ZU ERLEDIGEN: Hier Code zum Speichern einfgen

	}
	else
	{
		// ZU ERLEDIGEN: Hier Code zum Laden einfgen
	}
}

/////////////////////////////////////////////////////////////////////////////
// CWQuickDoc Diagnose

#ifdef _DEBUG
void CWQuickDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CWQuickDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CWQuickDoc Befehle

void CWQuickDoc::Search(CString searchstring)
{
  if (m_LastSearch!=searchstring)
  {
	m_LastSearch=searchstring;
    m_Countdown=5;
	return;
  }
  if (m_Countdown==0)
  {
	m_KHTMLView.begin(m_TempFile);
    m_KHTMLView.write("<head>\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n");
	m_KHTMLView.write("<TITLE>KQuick</TITLE>\n</head>\n<body bgcolor=\"#fbf8f1\">");
    m_KHTMLView.write("<a href=\"http://www.futureware.at/quick.htm\"><img src=\"file:/Programme/WQuick/quick.jpg\" alt=\"*Quick Logo\" width=65 height=25 border=0></a>\n");

	if (searchstring=="")
	{

	  m_KHTMLView.write(i18n("<P><font size=\"+2\"><a href=\"http://www.futureware.at/ewquick.htm\">WQuick</a></font> from <a href=\"http://www.futureware.at/\">Futureware 2001</a></P>"));
	  m_KHTMLView.write(i18n("<P>Copy the word you want to search into the Windows Clipboard</P>"));
	  m_KHTMLView.write(i18n("<P><a href=\"quick?info:\">Information</a> about all the databases.</P>"));
	  m_KHTMLView.write(i18n("<P>WQuick is derived from <a href=\"http://fjolliton.free.fr/babytrans\">Babytrans</a> from <a href=\"mailto:fjolliton@free.fr\">Frederic Jolliton</a>."));
	  m_KHTMLView.write(i18n("<br>This Program was written by <a href=\"mailto:roman.spitzbart@liwest.at\">Roman Spitzbart</a> and <a href=\"mailto:p.guehring@futureware.at\">Philipp G&uuml;hring</a>.</P>"));

	  }
	else
	{
		m_Quick.search(searchstring,output,0);
	}
	m_KHTMLView.end();
    UpdateAllViews(NULL);
  };
  
  if (m_Countdown>=0)
    m_Countdown--;

}

void CWQuickDoc::OnCloseDocument() 
{
	CFile::Remove(m_TempFile);	
	CDocument::OnCloseDocument();
}
